"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var angular_1 = require("@ui-model/angular");
var TooltipComponent = (function () {
    function TooltipComponent(tooltip) {
        this.tooltip = tooltip;
    }
    Object.defineProperty(TooltipComponent.prototype, "left", {
        get: function () {
            return this.tooltip.targetRect.left + (this.tooltip.targetRect.width - this.measure.boundingRect.width) / 2;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(TooltipComponent.prototype, "top", {
        get: function () {
            return this.tooltip.targetRect.bottom;
        },
        enumerable: true,
        configurable: true
    });
    return TooltipComponent;
}());
TooltipComponent.decorators = [
    { type: core_1.Component, args: [{
                selector: 'ui-tooltip',
                templateUrl: './tooltip.component.html',
                styleUrls: ['./tooltip.component.scss'],
            },] },
];
/** @nocollapse */
TooltipComponent.ctorParameters = function () { return [
    { type: angular_1.TooltipService, },
]; };
TooltipComponent.propDecorators = {
    'measure': [{ type: core_1.ViewChild, args: ['measure',] },],
};
exports.TooltipComponent = TooltipComponent;
//# sourceMappingURL=tooltip.component.js.map